# Generated from robeaux-0.5.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name robeaux

Name: rubygem-%{gem_name}
Version: 0.5.1
Release: 1%{?dist}
Summary: A React-based front-end for CPPP-IO APIs
License: Apache 2.0
URL: https://github.com/hybridgroup/robeaux
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A React-based front-end for CPPP-IO APIs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/css
%{gem_instdir}/fonts
%{gem_instdir}/images
%{gem_instdir}/index.html
%{gem_instdir}/js
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.markdown
%{gem_instdir}/robeaux.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.5.1-1
- Initial package
